/api/v1/collections/{collection_id}
Path Parameters
string
required
The collection’s UUID.
Request
string
New display name. Maximum 255 characters, unique per account.
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl -X PUT https://api.doctly.ai/api/v1/collections/{collection_id} \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"name": "Contracts 2026 (archived)"}'
Rename a collection.
curl -X PUT https://api.doctly.ai/api/v1/collections/{collection_id} \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"name": "Contracts 2026 (archived)"}'
curl -X PUT https://api.doctly.ai/api/v1/collections/{collection_id} \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"name": "Contracts 2026 (archived)"}'
/api/v1/collections/{collection_id}
